Bug 37610 - XFree86-4 x86emu needs update for new BIOS's
Summary: XFree86-4 x86emu needs update for new BIOS's
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brian Somers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-30 21:20 UTC by Larry Rosenman
Modified: 2002-05-20 17:34 UTC (History)
0 users

See Also:


Attachments
file.diff (845 bytes, patch)
2002-04-30 21:20 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2002-04-30 21:20:01 UTC
	
        With some of the newer chip sets BIOS's using extended X86 opcodes
	and addressing modes, the XFree86 4.2.0 x86emu needs enhancement. 

	Steve Woodford <scw@netbsd.org> made the following patch, which 
	fixes this issue.  

        can this be added to the XFree86-4-Server port as a patch to
        xc/extras/x86emu/src/x86emu/decode.c ?

Fix: Apply this patch to xc/extras/x86emu/src/x86emu/decode.c

How-To-Repeat: run on a I830MG graphics system, see the X86 ILLEGAL OPCODE (see the 
-STABLE and -MOBILE lists from yesterday (April 29, 2002) for example
logs.  

This patch fixes THAT problem.
Comment 1 Larry Rosenman freebsd_committer 2002-04-30 23:04:53 UTC
It would be ***REAL*** nice if this could make the 4.6-RELEASE CD's and
Packages.....


-- 
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 972-414-9812                 E-Mail: ler@lerctr.org
US Mail: 1905 Steamboat Springs Drive, Garland, TX 75044-6749
Comment 2 Brian Somers freebsd_committer 2002-05-20 02:01:55 UTC
Responsible Changed
From-To: freebsd-ports->brian

I'll apply this as the maintainer has not responded
Comment 3 Brian Somers freebsd_committer 2002-05-20 17:33:57 UTC
State Changed
From-To: open->closed

I've committed the patch. 

Thanks.